Subject: Re: [bug#65002] [PATCH v2 1/2] mapped-devices: Allow unlocking by a key file

From: Tomas Volf <[email-masked]>
Date: Thu, 11 Jan 2024 18:39:27 +0100

On 2024-01-11 13:39:36 +0100, Tomas Volf wrote:

> 
> > 
> > I wonder if we could have a system test; it doesn’t sound very easy so
> > maybe we’ll skip, but you can check that the “encrypted-root-os” test,
> > which exercises ‘luks-device-mapping’, still passes (it takes time and
> > disk space).
> 
> It does not pass, but it fails even on master ¯\_ (ツ)_/¯:
> 
>     guix system: warning: at least 1526.8 MB needed but only 1408.3 MB available in /mnt
> 
> It seems somewhat hard to do it based on encrypted-root-os, but should be much
> easier basing it on encrypted-home-os.  I might give it a try.

I managed to figure out the system test for this, however it required unrelated
changes, since encrypted-root-os and encrypted-home-os were broken even on
master.  I included my new test (together with the fixes) in v3.

Also, I messed up, and sent this *without* the v3 by accident.  When I realized,
I sent it once more, this time properly as v3.  Sorry for the noise.

Tomas

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.